WordPress 3.1.4 available – Time to update

If you are running WordPress, it is time to update it now. WordPress v3.1.4 was just released with security fixes for all the previous versions (specially important with you have users with the editor-level permissions):

From the WordPress blog:

WordPress 3.1.4 is available now and is a maintenance and security update for all previous versions.

 

This release fixes an issue that could allow a malicious Editor-level user to gain further access to the site. Thanks K. Gudinavicius of SEC Consult for bringing this to our attention. Version 3.1.4 also incorporates several other security fixes and hardening measures thanks to the work of WordPress developers Alexander Concha and Jon Cave of our security team. Consult the change log for more details.

List of modified files:

Files wordpress-3.1.3/readme.html and wordpress-3.1.4/readme.html differ
Files wordpress-3.1.3/wp-admin/custom-header.php and wordpress-3.1.4/wp-admin/custom-header.php differ
Files wordpress-3.1.3/wp-admin/includes/deprecated.php and wordpress-3.1.4/wp-admin/includes/deprecated.php differ
Files wordpress-3.1.3/wp-admin/includes/media.php and wordpress-3.1.4/wp-admin/includes/media.php differ
Files wordpress-3.1.3/wp-admin/includes/post.php and wordpress-3.1.4/wp-admin/includes/post.php differ
Files wordpress-3.1.3/wp-admin/includes/update-core.php and wordpress-3.1.4/wp-admin/includes/update-core.php differ
Files wordpress-3.1.3/wp-admin/js/user-profile.dev.js and wordpress-3.1.4/wp-admin/js/user-profile.dev.js differ
Files wordpress-3.1.3/wp-admin/js/user-profile.js and wordpress-3.1.4/wp-admin/js/user-profile.js differ
Files wordpress-3.1.3/wp-admin/options-general.php and wordpress-3.1.4/wp-admin/options-general.php differ
Files wordpress-3.1.3/wp-content/themes/twentyten/languages/twentyten.pot and wordpress-3.1.4/wp-content/themes/twentyten/languages/twentyten.pot differ
Files wordpress-3.1.3/wp-includes/bookmark.php and wordpress-3.1.4/wp-includes/bookmark.php differ
Files wordpress-3.1.3/wp-includes/formatting.php and wordpress-3.1.4/wp-includes/formatting.php differ
Files wordpress-3.1.3/wp-includes/post.php and wordpress-3.1.4/wp-includes/post.php differ
Files wordpress-3.1.3/wp-includes/query.php and wordpress-3.1.4/wp-includes/query.php differ
Files wordpress-3.1.3/wp-includes/script-loader.php and wordpress-3.1.4/wp-includes/script-loader.php differ
Files wordpress-3.1.3/wp-includes/taxonomy.php and wordpress-3.1.4/wp-includes/taxonomy.php differ
Files wordpress-3.1.3/wp-includes/version.php and wordpress-3.1.4/wp-includes/version.php differ
Files wordpress-3.1.3/wp-includes/wp-db.php and wordpress-3.1.4/wp-includes/wp-db.php differ
Files wordpress-3.1.3/wp-settings.php and wordpress-3.1.4/wp-settings.php differ


If you are using WordPress, you can also scan it here for security issues and malware: http://sitecheck.sucuri.net

Scan your website for free:
About David Dede

Sucuri Security bot (crazy work) - Malware research updates, sucuri news and more.